GlueGen: com.jogamp.gluegen.Logging Class Reference

GlueGen v2.6.0-rc-20250722 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Static Public Member Functions | Static Public Attributes | List of all members
com.jogamp.gluegen.Logging Class Reference
Collaboration diagram for com.jogamp.gluegen.Logging:

## Classes

class | FQNLogger
interface | LoggerIf
| An interface for `Logger`. More...
class | PlainLogConsoleHandler
class | PlainLogFormatter

## Static Public Member Functions

static String | getCanonicalName (final Level level)
static LoggerIf | getLogger ()
| Returns the root package logger. More...
static synchronized LoggerIf | getLogger (final Class<?> clazz)
| Returns the demanded logger, while aligning its log-level to the root logger's level. More...
static synchronized LoggerIf | getLogger (final String packageName, final String simpleClassName)
| Returns the demanded logger, while aligning its log-level to the root logger's level. More...
static void | alignLevel (final LoggerIf l)
| Align log-level of given logger to the root logger's level. More...
static void | alignLevel (final LoggerIf l, final Level level)
| Align log-level of given logger and all its handlers to the given level. More...

## Static Public Attributes

static final boolean | DEBUG = Debug.debug("Logging")

## Detailed Description

Author
  Michael Bien, et.al.

Definition at line 53 of file Logging.java.

## Member Function Documentation

## ◆ alignLevel() [1/2]

static void com.jogamp.gluegen.Logging.alignLevel | ( | final LoggerIf | l | ) |

static

Align log-level of given logger to the root logger's level.

Definition at line 374 of file Logging.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ alignLevel() [2/2]

static void com.jogamp.gluegen.Logging.alignLevel | ( | final LoggerIf | l,
|  | final Level | level
| ) |  |

static

Align log-level of given logger and all its handlers to the given level.

Definition at line 378 of file Logging.java.

Here is the call graph for this function:

## ◆ getCanonicalName()

static String com.jogamp.gluegen.Logging.getCanonicalName | ( | final Level | level | ) |

static

Definition at line 336 of file Logging.java.

## ◆ getLogger() [1/3]

static LoggerIf com.jogamp.gluegen.Logging.getLogger | ( |  | ) |

static

Returns the root package logger.

Definition at line 355 of file Logging.java.

Here is the caller graph for this function:

## ◆ getLogger() [2/3]

static synchronized LoggerIf com.jogamp.gluegen.Logging.getLogger | ( | final Class<?> | clazz | ) |

static

Returns the demanded logger, while aligning its log-level to the root logger's level.

Definition at line 359 of file Logging.java.

Here is the call graph for this function:

## ◆ getLogger() [3/3]

static synchronized LoggerIf com.jogamp.gluegen.Logging.getLogger | ( | final String | packageName,
|  | final String | simpleClassName
| ) |  |

static

Returns the demanded logger, while aligning its log-level to the root logger's level.

Definition at line 364 of file Logging.java.

## Member Data Documentation

## ◆ DEBUG

final boolean com.jogamp.gluegen.Logging.DEBUG = Debug.debug("Logging")

static

Definition at line 54 of file Logging.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/Logging.java